import createAxios from '@/utils/request'

import { BPM_BOOT } from '@/utils/constantRequest'

const MAPPING_PATH = BPM_BOOT + '/bpm/model'

/**
 * 查询流程模型数据
 */
export const listModel = (data: any) => {
    return createAxios({
        url: MAPPING_PATH + '/list',
        method: 'POST',
        data: data
    })
}

/**
 * 查询所有流程模型
 */
export const getModelSimpleList = () => {
    return createAxios({
        url: MAPPING_PATH + '/simpleList',
        method: 'GET'
    })
}

/**
 * 根据id查询模型详细信息
 */
export const getById = (id: string) => {
    return createAxios({
        url: MAPPING_PATH + '/getById?id=' + id,
        method: 'GET'
    })
}

/**
 * 删除模型
 */
export const deleteModel = (id: string) => {
    return createAxios({
        url: MAPPING_PATH + '/delete?id=' + id,
        method: 'GET'
    })
}

/**
 * 根据id部署模型
 */
export const deployModel = (id: string) => {
    return createAxios({
        url: MAPPING_PATH + '/deploy?id=' + id,
        method: 'POST'
    })
}


/**
 * 新增流程模型
 */
export const addModel = (data: any) => {
    return createAxios({
        url: MAPPING_PATH + '/add',
        method: 'POST',
        data: data
    })
}


/**
 * 更新流程模型
 */
export const updateModel = (data: any) => {
    return createAxios({
        url: MAPPING_PATH + '/update',
        method: 'POST',
        data: data
    })
}

